{% load static %}
{% load core_components %}

<!DOCTYPE html>
<html>
<head>
	<title>{{ page_title }} | Cerrax Cloud</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1, user-scalable=no, minimal-ui">
	<link rel="stylesheet" type="text/css" href="{% static 'core/css/main.css' %}">
	<link rel="apple-touch-icon" sizes="180x180" href="{% static 'core/favicons/apple-touch-icon.png' %}">
	<link rel="shortcut icon" type="image/png" sizes="32x32" href="{% static 'core/favicons/favicon-32x32.png' %}">
	<link rel="shortcut icon" type="image/png" sizes="16x16" href="{% static 'core/favicons/favicon-16x16.png' %}">
	<link rel="manifest" href="{% static 'core/favicons/site.webmanifest' %}">
	{% block header %}
	{% endblock %}
</head>
<body>
	{% if errors %}
		<div class="error">
			{% for err in errors %}
			<div class="error-msg">{{ err }}</div>
			{% endfor %}
		</div>
	{% endif %}

	{% if titlebar_visible %}
		<div class="toolbar">
			{% if back_url %}
			<a href="{{ back_url }}">
				<div class='button'>{% icon 'keyboard_arrow_left' %}</div>
			</a>
			{% else %}
				<div class='button'></div>
			{% endif %}
			<div class='title'>{{ page_title }}</div>
			{% if menu_visible %}
			<a href="{% url 'core:landing' %}">
				<div class='button'>{% icon 'menu' %}</div>
			</a>
			{% else %}
				<div class='button'></div>
			{% endif %}
		</div>
		<div class="toolbar button_bar">
			{% for record in button_bar_left %}
			<a href="{{ record.url }}">
				<div class='button'>{{ record.display }}</div>
			</a>
			{% endfor %}
			<div class='title'></div>
			{% for record in button_bar_right %}
			<a href="{{ record.url }}">
				<div class='button'>{{ record.display }}</div>
			</a>
			{% endfor %}
		</div>
	{% endif %}
	<div class="appframe">
		<div class="list-spacer"></div>
		{% block content %}
		{% endblock %}
	</div>

</body>
</html>